#ifndef _INCLUDE_PRAGMA_HBBSCOMMON_LIB_H
#define _INCLUDE_PRAGMA_HBBSCOMMON_LIB_H

/*
**  $VER: HBBSCommon_lib.h (27/08/97)
**
**  Storm-C pragma file
*/

#ifndef CLIB_HBBSCOMMON_PROTOS_H
#include <hbbs/HBBSCommon_protos.h>
#endif

#ifdef __cplusplus
extern "C" {
#endif

#pragma amicall(HBBSCommonBase, 0x1E, FreeStr(A0))
#pragma amicall(HBBSCommonBase, 0x24, DupStr(A0))
#pragma amicall(HBBSCommonBase, 0x2A, FreeAndSet(A0,A1))
#pragma amicall(HBBSCommonBase, 0x30, CheckBoolean(A0))
#pragma amicall(HBBSCommonBase, 0x36, NewStrNode(A0,A1))
#pragma amicall(HBBSCommonBase, 0x3C, UpperCase(A0))
#pragma amicall(HBBSCommonBase, 0x42, upcase(A0))
#pragma amicall(HBBSCommonBase, 0x48, position(A0,A1))
#pragma amicall(HBBSCommonBase, 0x4E, iposition(A0,A1))
#pragma amicall(HBBSCommonBase, 0x54, strfcpy(A0,A1,D0))
#pragma amicall(HBBSCommonBase, 0x5A, stripcr(A0))
#pragma amicall(HBBSCommonBase, 0x60, StripComments(A0))
#pragma amicall(HBBSCommonBase, 0x66, StripSpaces(A0))
#pragma amicall(HBBSCommonBase, 0x6C, replace(A0,A1,A2,A3))
#pragma amicall(HBBSCommonBase, 0x72, GetParams(A0,A1))
#pragma amicall(HBBSCommonBase, 0x78, GetItem(A0,A1))
#pragma amicall(HBBSCommonBase, 0x7E, GetNumber(A0,A1))
#pragma amicall(HBBSCommonBase, 0x84, SafePutToPort(A0,A1))
#pragma amicall(HBBSCommonBase, 0x8A, SendMessage(A0,A1))
#pragma amicall(HBBSCommonBase, 0x90, CountListItems(A0))
#pragma amicall(HBBSCommonBase, 0x96, FreeStrList(A0))
#pragma amicall(HBBSCommonBase, 0x9C, HBBS_GimmeBBS())
#pragma amicall(HBBSCommonBase, 0xA2, HBBS_SetBBS(A0))
#pragma amicall(HBBSCommonBase, 0xA8, GetNode(A0,D0))
#pragma amicall(HBBSCommonBase, 0xAE, GetNodeNum(A0,A1))
#pragma amicall(HBBSCommonBase, 0xB4, HBBS_NodeDataPtr(D0))
#pragma amicall(HBBSCommonBase, 0xBA, HBBS_LogError(A0,D0,A1,D1))
#pragma amicall(HBBSCommonBase, 0xC0, HBBS_LoadConfig(A0,D0))
#pragma amicall(HBBSCommonBase, 0xC6, HBBS_FlushConfig(A0))
#pragma amicall(HBBSCommonBase, 0xCC, HBBS_SaveConfig(A0))
#pragma amicall(HBBSCommonBase, 0xD2, HBBS_GetCfgNode(A0,A1))
#pragma amicall(HBBSCommonBase, 0xD8, HBBS_GetSetting(A0,A1,D0,A2,D1))
#pragma amicall(HBBSCommonBase, 0xDE, HBBS_CreateConfig(A0))
#pragma amicall(HBBSCommonBase, 0xE4, HBBS_RemoveCfgItem(A0,A1))
#pragma amicall(HBBSCommonBase, 0xEA, HBBS_AddCfgItem(A0,A1,A2))
#pragma amicall(HBBSCommonBase, 0xF0, HBBS_ResetNodeData(A0))
#pragma amicall(HBBSCommonBase, 0xF6, HBBS_rterror(A0))
#pragma amicall(HBBSCommonBase, 0xFC, HBBS_RunDOSCMD(A0,D0))
#pragma amicall(HBBSCommonBase, 0x102, HBBS_DoErrorMessage(D0,D1,A0))
#pragma amicall(HBBSCommonBase, 0x108, cvtucase(A0))
#pragma amicall(HBBSCommonBase, 0x10E, AssignOK(A0))
#pragma amicall(HBBSCommonBase, 0x114, HBBS_InitCommon())
#pragma amicall(HBBSCommonBase, 0x11A, HBBS_CleanUpCommon())
#pragma amicall(HBBSCommonBase, 0x120, SubmitTimer(A0,D0,D1))
#pragma amicall(HBBSCommonBase, 0x126, AbortTimer(A0,A1))
#pragma amicall(HBBSCommonBase, 0x12C, CheckTimer(A0,A1))
#pragma amicall(HBBSCommonBase, 0x132, CleanupTimer(A0))
#pragma amicall(HBBSCommonBase, 0x138, InitTimer())
#pragma amicall(HBBSCommonBase, 0x13E, PathOK(A0))
#pragma amicall(HBBSCommonBase, 0x144, HBBS_LoadUser(D0,A0,A1,A2))
#pragma amicall(HBBSCommonBase, 0x14A, HBBS_ValidUserHandle(A0,A1))
#pragma amicall(HBBSCommonBase, 0x150, HBBS_FindTotalUsers())
#pragma amicall(HBBSCommonBase, 0x156, LoadPrivateData())
#pragma amicall(HBBSCommonBase, 0x15C, UpdatePrivateData())
#pragma amicall(HBBSCommonBase, 0x162, HBBS_AddUser(A0))
#pragma amicall(HBBSCommonBase, 0x168, HBBS_InitUserData(A0,D0,D1))
#pragma amicall(HBBSCommonBase, 0x16E, strNcpy(A0,A1,D0))
#pragma amicall(HBBSCommonBase, 0x174, HBBS_ListName(A0,D0))
#pragma amicall(HBBSCommonBase, 0x17A, FreeFileTags(A0))
#pragma amicall(HBBSCommonBase, 0x180, HBBS_LoadFile(A0))
#pragma amicall(HBBSCommonBase, 0x186, HBBS_SaveFile(A0,A1))
#pragma amicall(HBBSCommonBase, 0x18C, HBBS_CreateList())
#pragma amicall(HBBSCommonBase, 0x192, RemoveSpaces(A0))
#pragma amicall(HBBSCommonBase, 0x198, strftcpy(A0,A1,D0,D1))
#pragma amicall(HBBSCommonBase, 0x19E, HBBS_SaveUserData(A0))
#pragma amicall(HBBSCommonBase, 0x1A4, HBBS_GetDate(A0))
#pragma amicall(HBBSCommonBase, 0x1AA, HBBS_AddCfgItemQuick(A0,A1,A2))
#pragma amicall(HBBSCommonBase, 0x1B0, HBBS_SaveCallsData())
#pragma amicall(HBBSCommonBase, 0x1B6, HBBS_LoadCallsData())
#pragma amicall(HBBSCommonBase, 0x1BC, HBBS_GetTime(A0))
#pragma amicall(HBBSCommonBase, 0x1C2, HBBS_GetDateStr(A0,D0))
#pragma amicall(HBBSCommonBase, 0x1C8, HBBS_DateStrFromTM(A0,A1))
#pragma amicall(HBBSCommonBase, 0x1CE, HBBS_DateStrToTM(A0,A1))
#pragma amicall(HBBSCommonBase, 0x1D4, HBBS_CopyFile(A0,A1,D0))
#pragma amicall(HBBSCommonBase, 0x1DA, HBBS_NodesInList(A0))
#pragma amicall(HBBSCommonBase, 0x1E0, HBBS_AppendStrToFile(A0,A1))
#pragma amicall(HBBSCommonBase, 0x1E6, HBBS_CreateNode(A0,D0))
#pragma amicall(HBBSCommonBase, 0x1EC, HBBS_FreeNode(A0,D0))
#pragma amicall(HBBSCommonBase, 0x1F2, HBBS_FreeListNodes(A0))
#pragma amicall(HBBSCommonBase, 0x1F8, HBBS_SendOLM(D0,A0,D1,A1,D2))
#pragma amicall(HBBSCommonBase, 0x1FE, FGetsR(A0,A1,D0))
#pragma amicall(HBBSCommonBase, 0x204, HBBS_FindNode(A0,A1))
#pragma amicall(HBBSCommonBase, 0x20A, HBBS_FindNodeNum(A0,A1))
#pragma amicall(HBBSCommonBase, 0x210, HBBS_HandleNameOK(A0))
#pragma amicall(HBBSCommonBase, 0x216, strNIcmp(A0,A1,D0))

#ifdef __cplusplus
}
#endif

#endif
